// Code generated by protoc-gen-go.
// source: IncomingPushMessageSignal.proto
// DO NOT EDIT!

package textsecure

import proto "github.com/golang/protobuf/proto"
import json "encoding/json"
import math "math"

// Reference proto, json, and math imports to suppress error if they are not otherwise used.
var _ = proto.Marshal
var _ = &json.SyntaxError{}
var _ = math.Inf

type IncomingPushMessageSignal_Type int32

const (
	IncomingPushMessageSignal_UNKNOWN       IncomingPushMessageSignal_Type = 0
	IncomingPushMessageSignal_CIPHERTEXT    IncomingPushMessageSignal_Type = 1
	IncomingPushMessageSignal_KEY_EXCHANGE  IncomingPushMessageSignal_Type = 2
	IncomingPushMessageSignal_PREKEY_BUNDLE IncomingPushMessageSignal_Type = 3
	IncomingPushMessageSignal_RECEIPT       IncomingPushMessageSignal_Type = 5
)

var IncomingPushMessageSignal_Type_name = map[int32]string{
	0: "UNKNOWN",
	1: "CIPHERTEXT",
	2: "KEY_EXCHANGE",
	3: "PREKEY_BUNDLE",
	5: "RECEIPT",
}
var IncomingPushMessageSignal_Type_value = map[string]int32{
	"UNKNOWN":       0,
	"CIPHERTEXT":    1,
	"KEY_EXCHANGE":  2,
	"PREKEY_BUNDLE": 3,
	"RECEIPT":       5,
}

func (x IncomingPushMessageSignal_Type) Enum() *IncomingPushMessageSignal_Type {
	p := new(IncomingPushMessageSignal_Type)
	*p = x
	return p
}
func (x IncomingPushMessageSignal_Type) String() string {
	return proto.EnumName(IncomingPushMessageSignal_Type_name, int32(x))
}
func (x IncomingPushMessageSignal_Type) MarshalJSON() ([]byte, error) {
	return json.Marshal(x.String())
}
func (x *IncomingPushMessageSignal_Type) UnmarshalJSON(data []byte) error {
	value, err := proto.UnmarshalJSONEnum(IncomingPushMessageSignal_Type_value, data, "IncomingPushMessageSignal_Type")
	if err != nil {
		return err
	}
	*x = IncomingPushMessageSignal_Type(value)
	return nil
}

type PushMessageContent_Flags int32

const (
	PushMessageContent_END_SESSION PushMessageContent_Flags = 1
)

var PushMessageContent_Flags_name = map[int32]string{
	1: "END_SESSION",
}
var PushMessageContent_Flags_value = map[string]int32{
	"END_SESSION": 1,
}

func (x PushMessageContent_Flags) Enum() *PushMessageContent_Flags {
	p := new(PushMessageContent_Flags)
	*p = x
	return p
}
func (x PushMessageContent_Flags) String() string {
	return proto.EnumName(PushMessageContent_Flags_name, int32(x))
}
func (x PushMessageContent_Flags) MarshalJSON() ([]byte, error) {
	return json.Marshal(x.String())
}
func (x *PushMessageContent_Flags) UnmarshalJSON(data []byte) error {
	value, err := proto.UnmarshalJSONEnum(PushMessageContent_Flags_value, data, "PushMessageContent_Flags")
	if err != nil {
		return err
	}
	*x = PushMessageContent_Flags(value)
	return nil
}

type PushMessageContent_GroupContext_Type int32

const (
	PushMessageContent_GroupContext_UNKNOWN PushMessageContent_GroupContext_Type = 0
	PushMessageContent_GroupContext_UPDATE  PushMessageContent_GroupContext_Type = 1
	PushMessageContent_GroupContext_DELIVER PushMessageContent_GroupContext_Type = 2
	PushMessageContent_GroupContext_QUIT    PushMessageContent_GroupContext_Type = 3
)

var PushMessageContent_GroupContext_Type_name = map[int32]string{
	0: "UNKNOWN",
	1: "UPDATE",
	2: "DELIVER",
	3: "QUIT",
}
var PushMessageContent_GroupContext_Type_value = map[string]int32{
	"UNKNOWN": 0,
	"UPDATE":  1,
	"DELIVER": 2,
	"QUIT":    3,
}

func (x PushMessageContent_GroupContext_Type) Enum() *PushMessageContent_GroupContext_Type {
	p := new(PushMessageContent_GroupContext_Type)
	*p = x
	return p
}
func (x PushMessageContent_GroupContext_Type) String() string {
	return proto.EnumName(PushMessageContent_GroupContext_Type_name, int32(x))
}
func (x PushMessageContent_GroupContext_Type) MarshalJSON() ([]byte, error) {
	return json.Marshal(x.String())
}
func (x *PushMessageContent_GroupContext_Type) UnmarshalJSON(data []byte) error {
	value, err := proto.UnmarshalJSONEnum(PushMessageContent_GroupContext_Type_value, data, "PushMessageContent_GroupContext_Type")
	if err != nil {
		return err
	}
	*x = PushMessageContent_GroupContext_Type(value)
	return nil
}

type IncomingPushMessageSignal struct {
	Type             *IncomingPushMessageSignal_Type `protobuf:"varint,1,opt,name=type,enum=textsecure.IncomingPushMessageSignal_Type" json:"type,omitempty"`
	Source           *string                         `protobuf:"bytes,2,opt,name=source" json:"source,omitempty"`
	SourceDevice     *uint32                         `protobuf:"varint,7,opt,name=sourceDevice" json:"sourceDevice,omitempty"`
	Relay            *string                         `protobuf:"bytes,3,opt,name=relay" json:"relay,omitempty"`
	Timestamp        *uint64                         `protobuf:"varint,5,opt,name=timestamp" json:"timestamp,omitempty"`
	Message          []byte                          `protobuf:"bytes,6,opt,name=message" json:"message,omitempty"`
	XXX_unrecognized []byte                          `json:"-"`
}

func (m *IncomingPushMessageSignal) Reset()         { *m = IncomingPushMessageSignal{} }
func (m *IncomingPushMessageSignal) String() string { return proto.CompactTextString(m) }
func (*IncomingPushMessageSignal) ProtoMessage()    {}

func (m *IncomingPushMessageSignal) GetType() IncomingPushMessageSignal_Type {
	if m != nil && m.Type != nil {
		return *m.Type
	}
	return 0
}

func (m *IncomingPushMessageSignal) GetSource() string {
	if m != nil && m.Source != nil {
		return *m.Source
	}
	return ""
}

func (m *IncomingPushMessageSignal) GetSourceDevice() uint32 {
	if m != nil && m.SourceDevice != nil {
		return *m.SourceDevice
	}
	return 0
}

func (m *IncomingPushMessageSignal) GetRelay() string {
	if m != nil && m.Relay != nil {
		return *m.Relay
	}
	return ""
}

func (m *IncomingPushMessageSignal) GetTimestamp() uint64 {
	if m != nil && m.Timestamp != nil {
		return *m.Timestamp
	}
	return 0
}

func (m *IncomingPushMessageSignal) GetMessage() []byte {
	if m != nil {
		return m.Message
	}
	return nil
}

type PushMessageContent struct {
	Body             *string                                 `protobuf:"bytes,1,opt,name=body" json:"body,omitempty"`
	Attachments      []*PushMessageContent_AttachmentPointer `protobuf:"bytes,2,rep,name=attachments" json:"attachments,omitempty"`
	Group            *PushMessageContent_GroupContext        `protobuf:"bytes,3,opt,name=group" json:"group,omitempty"`
	Flags            *uint32                                 `protobuf:"varint,4,opt,name=flags" json:"flags,omitempty"`
	Sync             *PushMessageContent_SyncMessageContext  `protobuf:"bytes,5,opt,name=sync" json:"sync,omitempty"`
	XXX_unrecognized []byte                                  `json:"-"`
}

func (m *PushMessageContent) Reset()         { *m = PushMessageContent{} }
func (m *PushMessageContent) String() string { return proto.CompactTextString(m) }
func (*PushMessageContent) ProtoMessage()    {}

func (m *PushMessageContent) GetBody() string {
	if m != nil && m.Body != nil {
		return *m.Body
	}
	return ""
}

func (m *PushMessageContent) GetAttachments() []*PushMessageContent_AttachmentPointer {
	if m != nil {
		return m.Attachments
	}
	return nil
}

func (m *PushMessageContent) GetGroup() *PushMessageContent_GroupContext {
	if m != nil {
		return m.Group
	}
	return nil
}

func (m *PushMessageContent) GetFlags() uint32 {
	if m != nil && m.Flags != nil {
		return *m.Flags
	}
	return 0
}

func (m *PushMessageContent) GetSync() *PushMessageContent_SyncMessageContext {
	if m != nil {
		return m.Sync
	}
	return nil
}

type PushMessageContent_AttachmentPointer struct {
	Id               *uint64 `protobuf:"fixed64,1,opt,name=id" json:"id,omitempty"`
	ContentType      *string `protobuf:"bytes,2,opt,name=contentType" json:"contentType,omitempty"`
	Key              []byte  `protobuf:"bytes,3,opt,name=key" json:"key,omitempty"`
	XXX_unrecognized []byte  `json:"-"`
}

func (m *PushMessageContent_AttachmentPointer) Reset()         { *m = PushMessageContent_AttachmentPointer{} }
func (m *PushMessageContent_AttachmentPointer) String() string { return proto.CompactTextString(m) }
func (*PushMessageContent_AttachmentPointer) ProtoMessage()    {}

func (m *PushMessageContent_AttachmentPointer) GetId() uint64 {
	if m != nil && m.Id != nil {
		return *m.Id
	}
	return 0
}

func (m *PushMessageContent_AttachmentPointer) GetContentType() string {
	if m != nil && m.ContentType != nil {
		return *m.ContentType
	}
	return ""
}

func (m *PushMessageContent_AttachmentPointer) GetKey() []byte {
	if m != nil {
		return m.Key
	}
	return nil
}

type PushMessageContent_GroupContext struct {
	Id               []byte                                `protobuf:"bytes,1,opt,name=id" json:"id,omitempty"`
	Type             *PushMessageContent_GroupContext_Type `protobuf:"varint,2,opt,name=type,enum=textsecure.PushMessageContent_GroupContext_Type" json:"type,omitempty"`
	Name             *string                               `protobuf:"bytes,3,opt,name=name" json:"name,omitempty"`
	Members          []string                              `protobuf:"bytes,4,rep,name=members" json:"members,omitempty"`
	Avatar           *PushMessageContent_AttachmentPointer `protobuf:"bytes,5,opt,name=avatar" json:"avatar,omitempty"`
	XXX_unrecognized []byte                                `json:"-"`
}

func (m *PushMessageContent_GroupContext) Reset()         { *m = PushMessageContent_GroupContext{} }
func (m *PushMessageContent_GroupContext) String() string { return proto.CompactTextString(m) }
func (*PushMessageContent_GroupContext) ProtoMessage()    {}

func (m *PushMessageContent_GroupContext) GetId() []byte {
	if m != nil {
		return m.Id
	}
	return nil
}

func (m *PushMessageContent_GroupContext) GetType() PushMessageContent_GroupContext_Type {
	if m != nil && m.Type != nil {
		return *m.Type
	}
	return 0
}

func (m *PushMessageContent_GroupContext) GetName() string {
	if m != nil && m.Name != nil {
		return *m.Name
	}
	return ""
}

func (m *PushMessageContent_GroupContext) GetMembers() []string {
	if m != nil {
		return m.Members
	}
	return nil
}

func (m *PushMessageContent_GroupContext) GetAvatar() *PushMessageContent_AttachmentPointer {
	if m != nil {
		return m.Avatar
	}
	return nil
}

type PushMessageContent_SyncMessageContext struct {
	Destination      *string `protobuf:"bytes,1,opt,name=destination" json:"destination,omitempty"`
	Timestamp        *uint64 `protobuf:"varint,2,opt,name=timestamp" json:"timestamp,omitempty"`
	XXX_unrecognized []byte  `json:"-"`
}

func (m *PushMessageContent_SyncMessageContext) Reset()         { *m = PushMessageContent_SyncMessageContext{} }
func (m *PushMessageContent_SyncMessageContext) String() string { return proto.CompactTextString(m) }
func (*PushMessageContent_SyncMessageContext) ProtoMessage()    {}

func (m *PushMessageContent_SyncMessageContext) GetDestination() string {
	if m != nil && m.Destination != nil {
		return *m.Destination
	}
	return ""
}

func (m *PushMessageContent_SyncMessageContext) GetTimestamp() uint64 {
	if m != nil && m.Timestamp != nil {
		return *m.Timestamp
	}
	return 0
}

func init() {
	proto.RegisterEnum("textsecure.IncomingPushMessageSignal_Type", IncomingPushMessageSignal_Type_name, IncomingPushMessageSignal_Type_value)
	proto.RegisterEnum("textsecure.PushMessageContent_Flags", PushMessageContent_Flags_name, PushMessageContent_Flags_value)
	proto.RegisterEnum("textsecure.PushMessageContent_GroupContext_Type", PushMessageContent_GroupContext_Type_name, PushMessageContent_GroupContext_Type_value)
}
